org.eclipse.net4j.util.factory

## Class PropertiesFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.factory.PropertiesFactory

- All Implemented Interfaces:
    IFactory

      public abstract class PropertiesFactory
      extends Factory

  Since:
    3.8
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_KEY`
    `static java.lang.String` | `PROPERTY_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesFactory(FactoryKey key)`
    `PropertiesFactory(java.lang.String productGroup, java.lang.String type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract java.lang.Object` | `create(java.util.Map<java.lang.String,java.lang.String> properties)`
    `java.lang.Object` | `create(java.lang.String description)`
    `static java.lang.String` | `createDescription(java.util.Map<java.lang.String,java.lang.String> properties)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_SEPARATOR

          public static final java.lang.String PROPERTY_SEPARATOR

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY

          public static final java.lang.String DEFAULT_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertiesFactory

          public PropertiesFactory(FactoryKey key)

    - #### PropertiesFactory

          public PropertiesFactory(java.lang.String productGroup,
                                   java.lang.String type)

  - ### Method Detail

    - #### create

          public java.lang.Object create(java.lang.String description)
                                  throws ProductCreationException

      Throws:
        `ProductCreationException`

    - #### create

          protected abstract java.lang.Object create(java.util.Map<java.lang.String,java.lang.String> properties)
                                              throws ProductCreationException

      Throws:
        `ProductCreationException`

    - #### createDescription

          public static java.lang.String createDescription(java.util.Map<java.lang.String,java.lang.String> properties)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html